package de.lmu.mobilehci.locationaudio;

import java.io.IOException;
import java.util.Vector;

import android.app.Activity;
import android.content.Context;
import android.location.Location;
import android.location.LocationListener;
import android.location.LocationManager;
import android.media.MediaPlayer;
import android.os.Bundle;
import android.util.Log;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class LocationAudioActivity extends Activity implements LocationListener {

	private LocationManager locationManager = null;

	private Vector<PointOfInterest> pois = new Vector<PointOfInterest>();
	private PointOfInterest currentPoi = null;

	private TextView latitudeView;
	private TextView longitudeView;
	private TextView currentPoiTextView;
	private ImageView currentPoiImageView;

	private MediaPlayer mediaPlayer = null;
	
	/** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
		locationManager = (LocationManager) getSystemService(Context.LOCATION_SERVICE);
		
		pois.add(new PointOfInterest(12.23, 12.34, 100, "test",
				R.drawable.ic_launcher, R.raw.pianoc, null));
		pois.add(new PointOfInterest(12.23, 12.34, 100, "test",
				R.drawable.ic_launcher, 0, "http://..."));
		
		latitudeView = (TextView) findViewById(R.id.latitude);
		longitudeView = (TextView) findViewById(R.id.longitude);
		currentPoiTextView = (TextView) findViewById(R.id.current_poi_text);
		currentPoiImageView = (ImageView) findViewById(R.id.current_poi_image);
    }

    protected void onResume() {
		super.onResume();
		// ...
    }
	
	protected void onPause() {
		super.onPause();
		// ...
	}

	public void onLocationChanged(Location location) {
		if (location != null) {
			// ...
		}
	}
	
	public void onProviderDisabled(String provider) {}
	
	public void onProviderEnabled(String provider) {}
	
	public void onStatusChanged(String provider, int status, Bundle extras) {}

}
